# VisibilityActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``VisibilityActuator`(Actuator)

  Actuator to set visibility and occlusion of the object

  `apply_to_children`

    Set all the children of this object to the same visibility/occlusion recursively

    Type: | boolean, default False

  `use_occlusion`

    Set the object to occlude objects behind it (initialized from the object type in physics button)

    Type: | boolean, default False

  `use_visible`

    Set the objects visible (initialized from the object render restriction toggle in physics button)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`